Package com.microsoft.sqlserver.jdbc

# Class SQLServerBlob

java.lang.Object
com.microsoft.sqlserver.jdbc.SQLServerBlob

All Implemented Interfaces:
  `java.io.Serializable`, `java.sql.Blob`

    public final class SQLServerBlob
    extends java.lang.Object
    implements java.sql.Blob, java.io.Serializable

Represents a binary LOB object and implements a java.sql.Blob.

See Also:
  Serialized Form

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`protected boolean` | `delayLoadingLob` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SQLServerBlob​(SQLServerConnection connection, byte[] data)` | Deprecated. Use `SQLServerConnection.createBlob()` instead.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `free()` |
`java.io.InputStream` | `getBinaryStream()` |
`java.io.InputStream` | `getBinaryStream​(long pos, long length)` |
`byte[]` | `getBytes​(long pos, int length)` |
`long` | `length()` |
`long` | `position​(byte[] bPattern, long start)` |
`long` | `position​(java.sql.Blob pattern, long start)` |
`java.io.OutputStream` | `setBinaryStream​(long pos)` |
`int` | `setBytes​(long pos, byte[] bytes)` |
`int` | `setBytes​(long pos, byte[] bytes, int offset, int len)` |
`java.lang.String` | `toString()` |
`void` | `truncate​(long len)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### delayLoadingLob

protected boolean delayLoadingLob

## Constructor Details

### SQLServerBlob

@Deprecated public SQLServerBlob​(SQLServerConnection connection, byte[] data)
Deprecated.
Use `SQLServerConnection.createBlob()` instead.
Create a new BLOB

Parameters:
  `connection` - the database connection this blob is implemented on
  `data` - the BLOB's data

## Method Details

### toString

public final java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

### free

public void free() throws java.sql.SQLException

Specified by:
  `free` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### getBinaryStream

public java.io.InputStream getBinaryStream() throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### getBinaryStream

public java.io.InputStream getBinaryStream​(long pos, long length) throws java.sql.SQLException

Specified by:
  `getBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### getBytes

public byte[] getBytes​(long pos, int length) throws java.sql.SQLException

Specified by:
  `getBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### length

public long length() throws java.sql.SQLException

Specified by:
  `length` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### position

public long position​(java.sql.Blob pattern, long start) throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### position

public long position​(byte[] bPattern, long start) throws java.sql.SQLException

Specified by:
  `position` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### truncate

public void truncate​(long len) throws java.sql.SQLException

Specified by:
  `truncate` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### setBinaryStream

public java.io.OutputStream setBinaryStream​(long pos) throws java.sql.SQLException

Specified by:
  `setBinaryStream` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### setBytes

public int setBytes​(long pos, byte[] bytes) throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`

### setBytes

public int setBytes​(long pos, byte[] bytes, int offset, int len) throws java.sql.SQLException

Specified by:
  `setBytes` in interface `java.sql.Blob`
Throws:
  `java.sql.SQLException`